%define major 0
%define libnamegnome %mklibname gnomebreakpad

Summary:	Utility to ease the reporting of bugs within the GNOME Desktop Environment
Name:		bug-buddy
Version:        2.32.0
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/
BuildRequires:  pkgconfig(bonobo-activation-2.0) >= 1.0.0
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gdk-x11-2.0) >= 2.9
BuildRequires:  pkgconfig(gio-2.0) >= 2.16.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:  pkgconfig(libbonobo-2.0) >= 2.0.0
BuildRequires:  pkgconfig(libebook-1.2) >= 1.3.0
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.13.3
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.4.6
BuildRequires:  pkgconfig(x11)
BuildRequires:	elfutils-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool
Requires:	gdb
Requires: %libnamegnome = %version
#gw it does a dlopen on libplds4.so
Requires: %mklibname nspr 4
Requires: %mklibname nss 3

%description
bug-buddy is a druid based tool which steps you through the GNOME bug
submission process.  It can automatically obtain stack traces from core
files or crashed applications.  Debian and KDE bug tracking systems are
also supported.

%package -n %libnamegnome
Summary: GTK+ module for loading the crash dump library
Group: System/Libraries

%description -n %libnamegnome
Breakpad is a set of client and server components which implement a
crash-reporting system. This is a module for GTK+ to automatically load the
breakpad library.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%find_lang %name

find %buildroot -name *.la | xargs rm

%post
#gw gnomebreakpad was replaced by gnomesegvhandler
%{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --type=string --set /apps/gnome_settings_daemon/gtk-modules/gnomebreakpad false > /dev/null || :

%preun
%preun_uninstall_gconf_schemas %name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/%{name}*
%_datadir/icons/HighContrastLargePrint/*/apps/bug-buddy*
%{_datadir}/bug-buddy
%_mandir/man1/bug*

%files -n %libnamegnome
%_libdir/gtk-2.0/modules/libgnomesegvhandler.so


%changelog

* Mon Nov 21 2011 fwang <fwang> 2.32.0-4.mga2
+ Revision: 170380
- rebuild for new evo
- br elfutils
- rebuild

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Clean spec file

* Sun Jan 23 2011 pterjan <pterjan> 2.32.0-1.mga1
+ Revision: 35378
- imported package bug-buddy

